Bug 237603 - SELinux denial messages when restarting network services dhcp with ntp
Summary: SELinux denial messages when restarting network services dhcp with ntp
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-24 01:49 UTC by Steven Whately
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-18 12:47:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steven Whately 2007-04-24 01:49:57 UTC
Description of problem:
selinux denial messages when restarting network services.
Started after adding an ntp server to dhcp.

Version-Release number of selected component (if applicable):
# rpm -qa \*policy\* initscripts selinux\*
selinux-policy-2.5.12-5.fc7
initscripts-8.53-1
selinux-policy-targeted-2.5.12-5.fc7
policycoreutils-2.0.9-7.fc7
policycoreutils-gui-2.0.9-7.fc7

How reproducible:
1. DHCP server has dnsmasq.conf with the following entry 
   dhcp-option=42,192.168.1.254  # NTP server

2. service network restart

Actual results:

Additional info:
avc: denied { getattr } for comm="ntpd" dev=dm-0 egid=0 euid=0 exe="/bin/bash"
exit=0 fsgid=0 fsuid=0 gid=0 items=0 name="ntpd" path="/var/lock/subsys/ntpd"
pid=7803 scontext=user_u:system_r:dhcpc_t:s0 sgid=0
subj=user_u:system_r:dhcpc_t:s0 suid=0 tclass=file
tcontext=user_u:object_r:var_lock_t:s0 tty=pts2 uid=0

avc: denied { read } for comm="ntpd" dev=dm-0 egid=0 euid=0 exe="/bin/bash"
exit=3 fsgid=0 fsuid=0 gid=0 items=0 name="ntpd.pid" pid=7803
scontext=user_u:system_r:dhcpc_t:s0 sgid=0 subj=user_u:system_r:dhcpc_t:s0
suid=0 tclass=file tcontext=user_u:object_r:ntpd_var_run_t:s0 tty=pts2 uid=0

avc: denied { getattr } for comm="ntpd" dev=dm-0 egid=0 euid=0 exe="/bin/bash"
exit=0 fsgid=0 fsuid=0 gid=0 items=0 name="ntpd.pid" path="/var/run/ntpd.pid"
pid=7803 scontext=user_u:system_r:dhcpc_t:s0 sgid=0
subj=user_u:system_r:dhcpc_t:s0 suid=0 tclass=file
tcontext=user_u:object_r:ntpd_var_run_t:s0 tty=pts2 uid=0

avc: denied { ioctl } for comm="ntpd" dev=dm-0 egid=0 euid=0 exe="/bin/bash"
exit=-25 fsgid=0 fsuid=0 gid=0 items=0 name="ntpd.pid" path="/var/run/ntpd.pid"
pid=7803 scontext=user_u:system_r:dhcpc_t:s0 sgid=0
subj=user_u:system_r:dhcpc_t:s0 suid=0 tclass=file
tcontext=user_u:object_r:ntpd_var_run_t:s0 tty=pts2 uid=0

avc: denied { signal } for comm="ntpd" egid=0 euid=0 exe="/bin/bash" exit=0
fsgid=0 fsuid=0 gid=0 items=0 pid=7803 scontext=user_u:system_r:dhcpc_t:s0
sgid=0 subj=user_u:system_r:dhcpc_t:s0 suid=0 tclass=process
tcontext=user_u:system_r:ntpd_t:s0 tty=pts2 uid=0

avc: denied { unlink } for comm="rm" dev=dm-0 egid=0 euid=0 exe="/bin/rm" exit=0
fsgid=0 fsuid=0 gid=0 items=0 name="ntpd.pid" pid=7809
scontext=user_u:system_r:dhcpc_t:s0 sgid=0 subj=user_u:system_r:dhcpc_t:s0
suid=0 tclass=file tcontext=user_u:object_r:ntpd_var_run_t:s0 tty=pts2 uid=0

avc: denied { unlink } for comm="rm" dev=dm-0 egid=0 euid=0 exe="/bin/rm" exit=0
fsgid=0 fsuid=0 gid=0 items=0 name="ntpd" pid=7810
scontext=user_u:system_r:dhcpc_t:s0 sgid=0 subj=user_u:system_r:dhcpc_t:s0
suid=0 tclass=file tcontext=user_u:object_r:var_lock_t:s0 tty=pts2 uid=0

avc: denied { create } for comm="touch" egid=0 euid=0 exe="/bin/touch" exit=0
fsgid=0 fsuid=0 gid=0 items=0 name="ntpd" pid=7819
scontext=user_u:system_r:dhcpc_t:s0 sgid=0 subj=user_u:system_r:dhcpc_t:s0
suid=0 tclass=file tcontext=user_u:object_r:var_lock_t:s0 tty=pts2 uid=0

avc: denied { write } for comm="touch" dev=dm-0 egid=0 euid=0 exe="/bin/touch"
exit=0 fsgid=0 fsuid=0 gid=0 items=0 name="ntpd" pid=7819
scontext=user_u:system_r:dhcpc_t:s0 sgid=0 subj=user_u:system_r:dhcpc_t:s0
suid=0 tclass=file tcontext=user_u:object_r:var_lock_t:s0 tty=pts2 uid=0

Comment 1 Daniel Walsh 2007-05-17 17:15:37 UTC
Fixed in selinux-policy-2.6.4-5

Comment 2 Steven Whately 2007-05-18 12:21:42 UTC
The problem no longer exists. 
Thanks


Note You need to log in before you can comment on or make changes to this bug.